<script>
import moment from 'moment';
export default {
  mounted() {
    // carico il video prendendo l'id dal URL (query string)
    console.log(this.$route);
    var id = this.$route.params.id;
    this.fetchAuto(id);
  },
  methods: {
    async fetchAuto(id) {
      var response = await fetch("http://localhost:8000/api/elencoAuto/" + id);
      var auto = await response.json(); // torna un array di video (con un video)
      var auto = auto[0];
      this.auto = auto;
    },
    format_date(value) {
      if (value) {
        return moment(String(value)).format('MM/DD/YYYY')
      }
    },
  },
  data() {
    return {
      auto: null,
    };
  },
};
</script>

<template>
  <h1 class="titolo">Info Auto</h1>
  <div v-if="auto != null" class="autoItem">
    <div class="containerAuto">
      <div class="immagineInfo"><img :src="auto.immagine" style="width:30%; border-radius: 10px;" alt=""></div>
      <div class="marca">{{ auto.marca }}</div>
      <div class="marca">{{ auto.modello }}</div>
      <div v-if="auto.targa === null" class="inf">Targa: ---</div>
      <div v-else class="inf">Targa: {{ auto.targa }}</div>
      <div v-if="auto.dataImm === null" class="inf">Data Immatricolazione: ---</div>
      <div v-else class="inf">Data Immatricolazione: {{ format_date(auto.dataImm) }}</div>
      <div class="inf">Prezzo: {{ auto.prezzo }} €</div><br>
      <div class ="inf">Descrizione:</div>
      <pre><div class="inf"> {{ auto.descrizione }}</div></pre><br>
      <div class="immagineInfo">
        <iframe width="640" height="360" :src="auto.video" title="YouTube video player" frameborder="0"
          allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
          allowfullscreen>
        </iframe>
      </div>
    </div>
    
  </div>
</template>


<style>

.immagineInfo{
  text-align: center;
}
.titolo{
  text-align: center;
}
.autoItem .marca {
  text-align: center;
  font-size: 18px;
  font-weight: bold;
  margin: 3px;
  font-style: normal;
  color: black;
}

.autoItem .inf {
  font-family: Arial, Helvetica, sans-serif;
  text-align: center;
  text-decoration: none;
  font-size: 15px;
  margin: 3px;
  font-style:initial;
  color: black;
}
</style>